Subject: Re: Board based on MPC7447 and MV64462

From: Sven Luther <[email-masked]>
Date: Thu, 27 Oct 2005 22:38:43 +0200

On Thu, Oct 27, 2005 at 01:11:05PM -0700, Mark A. Greer wrote:
> Actually, I guess this is more to hide the bridge from the pci_auto when
> it walks the pci buses.  If the pci resources are already allocated
> correctly (as in pegasos?) it may not confuse the generic pci code.
> Even if it doesn't get confused, its by luck.  The bridge's pci regs
> are NOT pci compliant and, IMHO, its iffy to assume that things woun't
> get messed up.

As said, the pci access rtas functions will stop any access to the non-pci
compliant regs.

Friendly,

Sven Luther